PDA

View Full Version : How I can downgrade the kmod-fglrx xorg-x11-drv-fglrx?



PashaP
22nd June 2008, 09:04 PM
Hello all,
I want to downgrade these modules to previous version:
Jun 20 18:48:43 Updated: kmod-fglrx - 8.501-1.8.06.lvn8.i686
Jun 20 18:48:56 Updated: kmod-fglrx-2.6.25.4-10.fc8 - 8.501-1.8.06.lvn8.i686
Jun 20 18:49:01 Updated: xorg-x11-drv-fglrx-libs - 8.501-1.8.06.lvn8.i386
Jun 20 18:49:07 Updated: xorg-x11-drv-fglrx - 8.501-1.8.06.lvn8.i386

How I can it? Where I can download previous version?
Thanks

Firewing1
22nd June 2008, 09:14 PM
You can grab the older version here: http://rpm.livna.org/feodra/8/i386
Be sure to get all of the kmod-fglrx, kmod-fglrx-$kernelversion, xorg-x11-drv-fglrx and xorg-x11-drv-fglrx-libs packages and then install them at once with a:

rpm -Uhv --oldpackage *fglrx*
Firewing1

PashaP
22nd June 2008, 09:48 PM
Hi
Thanks.
But I have problem:

[root@localhost q]# ls -1
kmod-fglrx-2.6.25.4-10.fc8-8.493-2.8.05.lvn8.i686.rpm
xorg-x11-drv-fglrx-8.493-1.8.05.lvn8.i386.rpm
xorg-x11-drv-fglrx-libs-8.493-1.8.05.lvn8.i386.rpm
[root@localhost q]#
[root@localhost q]#
[root@localhost q]# rpm -Uhv --oldpackage --force *fglrx*
error: kmod-fglrx-2.6.25.4-10.fc8 = 8.501-1.8.06.lvn8 needs for kmod-fglrx-8.501-1.8.06.lvn8.i686
[root@localhost q]#
[root@localhost q]# rpm -qa |grep 'fglrx-'
kmod-fglrx-2.6.24.7-92.fc8-8.493-1.8.05.lvn8
kmod-fglrx-8.501-1.8.06.lvn8
xorg-x11-drv-fglrx-8.501-1.8.06.lvn8
kmod-fglrx-2.6.25.4-10.fc8-8.501-1.8.06.lvn8
xorg-x11-drv-fglrx-libs-8.501-1.8.06.lvn8
[root@localhost q]#


How I can solve this problem?

Firewing1
22nd June 2008, 10:06 PM
kmod-fglrx is a metapackage that we use at Livna to pull in the new versioned kmods (ie, kmod-fglrx-$kernelversion-$driverversion). Unfortunately there's no magic for finding which kmod-fglrx package matches - try to keep grabing older and older ones until you find the one that matches the 493 version. Of course, when one doesn't work delete the one in the current directory (ie, delete kmod-fglrx-8.501-1.8.06.lvn8 and download the older one)
Firewing1